Subject: Re: bug#22109: Sort gives incorrect order when changing delimiters

From: Eric Blake <[email-masked]>
Date: Mon, 7 Dec 2015 14:07:10 -0700

On 12/07/2015 11:07 AM, Paul Eggert wrote:
> This confusion happens often enough that I installed the attached
> documentation patch to try to make things clearer.

Should we also modify this paragraph in 'sort --help'?  Maybe:

> KEYDEF is F[.C][OPTS][,F[.C][OPTS]] for start and stop position, where F is a
> field number and C a character position in the field; both are origin 1, and
> the stop position defaults to the line's end. If neither -t nor -b is in
> effect, characters in a field are counted from the beginning of the preceding
> whitespace. OPTS is one or more single-letter ordering options [bdfgiMhnRrV],
> which override global ordering options for that key. If no key is given, use
>-the entire line as the key.
>+the entire line as the key.  Use --debug to diagnose incorrect key usage.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org